Error: Failed to update the ModSecurity rule set.

Community support forums for the free/delayed modsecurity rules feed. There is no such thing as a bad question here as long as it pertains to using the delayed modsecurity rules feed. Newbies feel free to get help getting started or asking questions that may be obvious.
NightMan
Forum User
Forum User
Posts: 5
Joined: Fri May 11, 2007 11:50 am

Error: Failed to update the ModSecurity rule set.

Unread post by NightMan »

I am getting following error for last few days. I had blocked few suspicious looking ips, using firewall, not sure this related it or not. in that case what I ip I need to allow for the update? I am using Plesk latest version on CenOs 6.x.

Thank you.


Error: Failed to update the ModSecurity rule set: modsecurity_ctl failed: gpg: key 4520AFA9: "Atomicorp (Atomicorp Official Signing Key) <support@atomicorp.com>" not changed
gpg: Total number processed: 1
gpg: unchanged: 1
gpg: Signature made Fri Aug 25 11:33:21 2017 EDT using RSA key ID 4520AFA9
gpg: Good signature from "Atomicorp (Atomicorp Official Signing Key) <support@atomicorp.com>"
gpg: WARNING: This key is not certified with a trusted signature!
gpg: There is no indication that the signature belongs to the owner.
Primary key fingerprint: 1818 66DF 9DAC A40E 5B42 9B08 FFBD 5D0A 4520 AFA9
TERM environment variable not set.
http://autoinstall.plesk.com/PSA_17.5.3 ... repomd.xml: [Errno 12] Timeout on http://autoinstall.plesk.com/PSA_17.5.3 ... repomd.xml: (28, 'connect() timed out!')
Trying other mirror.
Error: Cannot retrieve repository metadata (repomd.xml) for repository: PLESK_17_5_3-extras. Please verify its path and try again
Command '/bin/bash < /tmp/tmpu1WwWE/aum' returned non-zero exit status 1
Unable to download tortix rule set
scott
Atomicorp Staff - Site Admin
Atomicorp Staff - Site Admin
Posts: 8330
Joined: Wed Dec 31, 1969 8:00 pm
Location: earth
Contact:

Re: Error: Failed to update the ModSecurity rule set.

Unread post by scott »

This is a problem with Plesk, not our modsecurity ruleset. If you look at the error you'll see plesk is trying to update itself. This error means you couldnt connect to autoinstall.plesk.com and they dont have any other mirrors:
http://autoinstall.plesk.com/PSA_17.5.3 ... repomd.xml: [Errno 12] Timeout on http://autoinstall.plesk.com/PSA_17.5.3 ... repomd.xml: (28, 'connect() timed out!')Error: Cannot retrieve repository metadata (repomd.xml) for repository: PLESK_17_5_3-extras. Please verify its path and try again
You'll want to contact Plesk to ask them why you cant connect to their update servers to update Plesk.
Post Reply